﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\HCSI_constraint.sql **/
EXEC P_ALTERPK 'PK_HCSI_DCLFILEEXP', 'T_HCSI_DCLFILEEXP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HCSI_DCLFILEEXP' AND KSQL_INDNAME = 'IDX_HCSI_DCLFILEEXP_RECORD') CREATE INDEX IDX_HCSI_DCLFILEEXP_RECORD ON T_HCSI_DCLFILEEXP ( FDCLRECORDID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HCSI_DCLFILEEXP' AND KSQL_INDNAME = 'IDX_HCSI_DCLFILEEXP_FILEVID') CREATE INDEX IDX_HCSI_DCLFILEEXP_FILEVID ON T_HCSI_DCLFILEEXP ( FSINSURFILEVID );


EXEC P_ALTERPK 'PK_HCSI_DCLPERSON', 'T_HCSI_DCLPERSON', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HCSI_DCLPERSON' AND KSQL_INDNAME = 'IDX_HCSI_DCLPERSON') CREATE INDEX IDX_HCSI_DCLPERSON ON T_HCSI_DCLPERSON ( FSINSURPERIODID ,FDCLRECORDID ,FSINSURFILEID );


EXEC P_ALTERPK 'PK_HCSI_DCLPERSONIENT', 'T_HCSI_DCLPERSONIENT', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HCSI_DCLPERSONIENT' AND KSQL_INDNAME = 'IDX_HCSI_DCLPERSONIENT') CREATE INDEX IDX_HCSI_DCLPERSONIENT ON T_HCSI_DCLPERSONIENT ( FID );


EXEC P_ALTERPK 'PK_HCSI_DCLPERSONTENT', 'T_HCSI_DCLPERSONTENT', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HCSI_DCLPERSONTENT' AND KSQL_INDNAME = 'IDX_HCSI_DCLPERSONTENT') CREATE INDEX IDX_HCSI_DCLPERSONTENT ON T_HCSI_DCLPERSONTENT ( FID );


EXEC P_ALTERPK 'PK_HCSI_DCLRECORD', 'T_HCSI_DCLRECORD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HCSI_DCLRECORD' AND KSQL_INDNAME = 'IDX_HCSI_DCLRECORD') CREATE INDEX IDX_HCSI_DCLRECORD ON T_HCSI_DCLRECORD ( FINSUREDCOMPANYID ,FPERIODID ,FSINSURDCLRULEID ,FMODIFYTYPE );


EXEC P_ALTERPK 'PK_HCSI_DCLRECORD_L', 'T_HCSI_DCLRECORD_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HCSI_DCLRECORD_L' AND KSQL_INDNAME = 'IDX_HCSI_DCLRECORD_L') CREATE INDEX IDX_HCSI_DCLRECORD_L ON T_HCSI_DCLRECORD_L ( FID ,FLOCALEID );


EXEC P_ALTERPK 'PK_HCSI_DCLRECORDSTD', 'T_HCSI_DCLRECORDSTD', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HCSI_DCLRECORDSTD' AND KSQL_INDNAME = 'IDX_HCSI_DCLRECORDSTD') CREATE INDEX IDX_HCSI_DCLRECORDSTD ON T_HCSI_DCLRECORDSTD ( FID ,FBASEDATAID );


EXEC P_ALTERPK 'PK_HCSI_DCLRECORDTYPEMUL', 'T_HCSI_DCLRECORDTYPEMUL', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HCSI_DCLRECORDTYPEMUL' AND KSQL_INDNAME = 'IDX_HCSI_DCLRECORDTYPEMUL') CREATE INDEX IDX_HCSI_DCLRECORDTYPEMUL ON T_HCSI_DCLRECORDTYPEMUL ( FID ,FBASEDATAID );
/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\HCSI_constraint.sql **/
